Reporter Database API
Use the Reporter Database API to query reporter information across 30 categories. Access scope varies by subscription plan.Authentication
All API requests require an API key in the PULITZER-API-KEY header.
PULITZER-API-KEY: YOUR_API_KEYcurl -X GET "https://api.pulitzer.ai/live/openapi/reporter/list" \
-H "PULITZER-API-KEY: YOUR_API_KEY"Subscription
A media list subscription is required to access reporter data. Access scope depends on your subscription plan.
| Plan | Access Scope |
|---|---|
| Full Access | Unlimited access to all 30 category reporter data |
| Category Access | Access only to subscribed category reporter data |
| Non-subscriber (Dev) | Max 2 pages, 100 items per page |
List Reporters
List reporters by category with pagination. Automatically filtered based on subscription plan.
GET https://api.pulitzer.ai/live/openapi/reporter/listQuery Parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
page | integer | No | Page number (default: 1) |
page_size | integer | No | Items per page (default: 20) |
category_names | string | No | Category names (comma-separated). e.g. IT ์ผ๋ฐ,๋ชจ๋ฐ์ผ |
Available Categories
๋ํต๋ น์ค, ๊ตญํ/์ ๋น, ๋ถํ, ํ์ , ๊ตญ๋ฐฉ/์ธ๊ต, ์ ์น์ผ๋ฐ, ๊ธ์ต, ์ฆ๊ถ, ์ฐ์ /์ฌ๊ณ, ์ค๊ธฐ/๋ฒค์ฒ, ๋ถ๋์ฐ, ๊ธ๋ก๋ฒ ๊ฒฝ์ , ์ํ๊ฒฝ์ , ๊ฒฝ์ ์ผ๋ฐ, ์ฌ๊ฑด์ฌ๊ณ , ๊ต์ก, ๋ ธ๋, ์ธ๋ก , ํ๊ฒฝ, ์ธ๊ถ/๋ณต์ง, ์ํ/์๋ฃ, ์ง์ญ, ์ธ๋ฌผ, ์ฌํ์ผ๋ฐ, ๊ฑด๊ฐ์ ๋ณด, ์๋์ฐจ/์์น๊ธฐ, ๋๋ก/๊ตํต, ์ฌํ/๋ ์ , ์์/๋ง์ง, ํจ์ /๋ทฐํฐ, ๊ณต์ฐ/์ ์, ์ฑ , ์ข ๊ต, ๋ ์จ, ์ํ๋ฌธํ์ผ๋ฐ, ๋ชจ๋ฐ์ผ, ์ธํฐ๋ท/SNS, ํต์ /๋ด๋ฏธ๋์ด, IT ์ผ๋ฐ, ๋ณด์/ํดํน, ์ปดํจํฐ, ๊ฒ์/๋ฆฌ๋ทฐ, ๊ณผํ ์ผ๋ฐ, ์์์/ํธ์ฃผ, ๋ฏธ๊ตญ/์ค๋จ๋ฏธ, ์ ๋ฝ, ์ค๋/์ํ๋ฆฌ์นด, ์ธ๊ณ ์ผ๋ฐ
Response Example
{
"status": "SUCCESS",
"message": "",
"page_count": 150,
"reporter_list": [
{
"media": "ํ๊ตญ๊ฒฝ์ ",
"email": "reporter@hankyung.com",
"name": "ํ๊ธธ๋",
"journalist_category": "IT ์ผ๋ฐ",
"info_check_kst": "2026-05-28T09:00:00",
"recent_news_kst": "2026-05-27T18:30:00",
"category_names": ["IT ์ผ๋ฐ", "๋ชจ๋ฐ์ผ"],
"naver_journalist_url": "https://media.naver.com/...",
"naver_media_category": "IT/๊ณผํ",
"media_no": "015",
"reporter_no": "12345"
}
]
}curl -X GET "https://api.pulitzer.ai/live/openapi/reporter/list?page=1&page_size=20&category_names=IT%20General,Mobile" \
-H "PULITZER-API-KEY: YOUR_API_KEY"Securities Reporters
List all reporters in Securities, Finance, and SME/Venture categories. Requires separate permission.
GET https://api.pulitzer.ai/live/openapi/reporter/securities/listError Codes
| Code | Status | Description |
|---|---|---|
NO_PERMISSION | 400 | No permission to access securities reporter list |
curl -X GET "https://api.pulitzer.ai/live/openapi/reporter/securities/list" \
-H "PULITZER-API-KEY: YOUR_API_KEY"Error Codes
| HTTP | Error Message | Description |
|---|---|---|
| 400 | Dev API key cannot query more than 100 items | Non-subscriber page_size exceeded |
| 400 | Dev API key cannot query beyond page 2 | Non-subscriber page limit |
| 400 | NO_PERMISSION | No permission for securities reporter list |
Subscription inquiries: Contact Us